# Generated by Django 3.2.11 on 2022-01-26 13:57

from django.db import migrations
from django.conf import settings


def migrate_data(apps, schema_editor):
    Domain = apps.get_model('pseudonyms', 'Domain')
    ConsentDocument = apps.get_model('subjects', 'ConsentDocument')
    ContentType = apps.get_model('contenttypes', 'ContentType')

    for consentdocument in ConsentDocument.objects.all():
        Domain.objects.create(
            bits=settings.CASTELLUM_CONSENT_DOMAIN_BITS,
            content_type=ContentType.objects.get_for_model(consentdocument),
            object_id=consentdocument.pk,
        )


class Migration(migrations.Migration):

    dependencies = [
        ('subjects', '0034_help_texts'),
    ]

    operations = [
        migrations.RunPython(migrate_data)
    ]
